<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}
$jpen=1;
if($jpen==1){
    $jdl="Akta Pengembalian Berkas";
}elseif($jpen==2){
    $jdl="xxxxxxxx";
}

//print_r($oditur->result());

?>
<div class="centering" style="width:500px;margin-top: 1%;z-index:-100">
    <div id='pengembalian_berkas' style="border: 1px solid #ffffff;">
        <div class="detil" style="padding: 2px;background-color: white;">
            <div style="font-size:14px;">
                <form id="frm_pengembalian_berkas" class="removeformbottomspace" method="post" action="<?php echo base_url().'c_template_pen_mil/cetak_akta_militer'; ?>">
                    <table id='tableDetilPerkara' style="font-size:14px;">
                        <col width="35%">
                        <col width="65%">
                        <tbody>
                        <tr>
                            <td class="header" colspan="2">Cetak <?php echo $jdl; ?></td>
                        </tr>
                        <tr>
                            <td id="first-child">Nomor Perkara</td>
                            <td>
                                <?php print_r($perkara['0']['nomor_perkara']); ?>
                                <input type="hidden" name='enc' value='<?php echo $enc;?>'>
                            </td>
                        </tr>
                        <tr>
                            <?php
                            if (intval($perkara['0']['alur_perkara_id'])>100){
                                echo "<td id='first-child'>Tanggal Pelimpahan</td>";
                            }else{
                                echo "<td id='first-child'>Tanggal Pendaftaran</td>";
                            }
                            ?>
                            <td>
                            <?php echo $this->tanggalhelper->convertDayDate($tanggal_pelimpahan->tanggal_pendaftaran); ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" class="divider">Info <?php echo $jdl; ?></td>
                        </tr>
                        <tr>
                            <td id="first-child">Pilih Jenis Template<font color=red>*</font></td>
                            <td style="">
                                <span class="custom-dropdown custom-dropdown--emerald">
                                    <select style='width:303px;'  name="jenisTemplate" id="jenisTemplate" class='custom-dropdown__select custom-dropdown__select--white'>
                                        <option value='-1'>--pilih jenis template--</option>
                                        <option value='1'>Penetapan Pengembalian Berkas Perkara</option>
                                        <option value='2'>Penetapan Pengembalian Berkas Perkara (TKP Diluar Kewenangan)</option>
                                        <option value='3'>Penetapan pengembalian Berkas Perkara (BAP Tidak Lengkap)</option>
                                        <option value='4'>Berita Acara Perubahan Surat Dakwaan</option>
                                        <option value='5'>Akta Penerimaan Perubahan Surat Dakwaan</option>
                                        <option value='6'>Penetapan Penggabungan Perkara Gugatan Ganti Rugi</option>
                                    </select>
                                </span>
                            </td> 
                        </tr>
                        <tr class="tr_pertimbangan1" >
                            <td id="first-child">Pilih Pertimbangan Pengembalian Berkas Perkara</td>
                            <td>
                                <span class="custom-dropdown custom-dropdown--emerald">
                                    <select style='width:303px;'  name="pertimbangan1" id="pertimbangan1" class='custom-dropdown__select custom-dropdown__select--white'>
                                        <option value='-1'>--pilih jenis pertimbangan--</option>
                                        <option value='1'>1.Terdakwa sudah bukan lagi menjadi yustisiabel Pengadilan Militer</option>
                                        <option value='2'>2.Pengadilan Militer tidak berwenang mengadili</option>
                                    </select>
                                </span>
                            </td>
                        </tr>
                        <tr class="tr_pertimbangan2" >
                            <td id="first-child">Pilih Pertimbangan Pengembalian Berkas Perkara (TKP Diluar Kewenangan)</td>
                            <td>
                                <span class="custom-dropdown custom-dropdown--emerald">
                                    <select style='width:303px;'  name="pertimbangan2" id="pertimbangan2" class='custom-dropdown__select custom-dropdown__select--white'>
                                        <option value='-1'>--pilih jenis pertimbangan (TKP Diluar Kewenangan)--</option>
                                        <option value='1'>1.Tempat kejadian perkara Terdakwa tidak termasuk wewenang Pengadilan Militer</option>
                                        <option value='2'>2.Tempat kesatuan Terdakwa tidak termasuk wewenang Pengadilan Militer</option>
                                        <option value='3'>3.Terdakwa sudah beralih tugas ke Kesatuan yang berada di daerah hukum Pengadilan Militer</option>
                                    </select>
                                </span>
                            </td>
                        </tr>
                        <tr class="tr_oditur">
                            <td id="first-child">Pilih Oditur<font color="red">*</font></td>
                            <td>
                                <span class="custom-dropdown custom-dropdown--emerald">
                                    <select style='width:303px;'  name="oditur" id="oditur" class='custom-dropdown__select custom-dropdown__select--white'>
                                        <option value='-1'>--pilih oditur--</option>
                                        <?php 
                                            foreach ($oditur->result() as $val) {
                                               echo "<option value=".$val->pihak_id.">".$val->nama.' '.$val->pangkat.' NRP '.$val->nrp."</option>";
                                            }
                                        ?>
                                    </select>
                                </span>
                            </td>
                        </tr>
                        <tr>
                            <td id="first-child">Tanggal Penetapan<font color="red">*</font></td>
                            <td style="padding:0px;padding-left:5px;">
                                <input type="text" id="tgl_penetapan" name="tgl_penetapan" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun">
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" class="divider" >Cetak</td>
                        </tr>
                        <tr class="tr_ditetapkanoleh1">
                            <td id="first-child">Ditetapkan Oleh <?php //print_r($penandatangan->result());?><font color=red>*</font></td>
                            <td style="">
                                <span class="custom-dropdown custom-dropdown--emerald">
                                    <select style='width:303px;'  name="ditetapkanoleh1" id="ditetapkanoleh1" class="custom-dropdown__select custom-dropdown__select--white">
                                        <option value='-1'>--pilih ditetapkan oleh (Ketua/Wakil)--</option>
                                        <option value='64'><?php echo $this->templatehelper->ucname("Ketua ".$penandatangan->row(0)->NamaPN." :: ".$penandatangan->row(0)->KetuaPNNama);?></option>
                                        <option value='66'><?php echo $this->templatehelper->ucname("Wakil Ketua ".$penandatangan->row(0)->NamaPN." :: ".$penandatangan->row(0)->WakilKetuaPNNama);?></option>
                                    </select>
                                </span>
                            </td> 
                        </tr>
                        <tr class="tr_ditetapkanoleh2">
                            <td id="first-child">Pilih Pejabat Penandatangan<font color="red">*</font></td>
                            <td>
                                <span class="custom-dropdown custom-dropdown--emerald">
                                    <select style='width:303px;'  name="ditetapkanoleh2" id="ditetapkanoleh2" class='custom-dropdown__select custom-dropdown__select--white'>
                                        <option value='-1'>--pilih ditetapkan oleh (Panitera/Wakil Panitera)--</option>
                                        <option value='68'><?php echo $this->templatehelper->ucname("Kepala Panitera ".$penandatangan->row(0)->NamaPN." :: ".$penandatangan->row(0)->PansekPNNama);?></option>
                                        <option value='70'><?php echo $this->templatehelper->ucname("Wakil Panitera ".$penandatangan->row(0)->NamaPN." :: ".$penandatangan->row(0)->WaPanNama);?></option>
                                    </select>
                                </span>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" class="buttongroup">
							<input type="hidden" id="curr_date" value="<?php echo date('d/m/Y'); ?>">
                            <input type="button" id="kembali" value="Kembali" class="btn">
                            <input type="submit" id="print_btn" value="Cetak" class="btn">
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
$("tr.tr_pertimbangan1").hide();
$("#jenisTemplate").change(function(){
    if(($(this).val()==1)){
    $("tr.tr_pertimbangan1").show();  
    }else{ 
    $("tr.tr_pertimbangan1").hide();
}});

$("tr.tr_pertimbangan2").hide();
$("#jenisTemplate").change(function(){
    if(($(this).val()==2)){
    $("tr.tr_pertimbangan2").show();    
    }else{ 
    $("tr.tr_pertimbangan2").hide();
}});

$("tr.tr_oditur").hide();
$("tr.tr_ditetapkanoleh2").hide();
$("#jenisTemplate").change(function(){
    if(($(this).val()==4)||($(this).val()==5)){
    $("tr.tr_oditur").show();
    $("tr.tr_ditetapkanoleh2").show();    
    $("tr.tr_ditetapkanoleh1").hide();
    }else{ 
    $("tr.tr_oditur").hide();
    $("tr.tr_ditetapkanoleh2").hide();
    $("tr.tr_ditetapkanoleh1").show();
}});


$('#frm_pengembalian_berkas').submit(function(e) {
    var jenisTemplate = $('#jenisTemplate').val();
    if(jenisTemplate=='-1'){
        message_error_show('Silahkan Pilih Jenis Template');
        e.preventDefault();
    }else{
		var pertimbangan1 = $('#pertimbangan1').val();
		var pertimbangan2 = $('#pertimbangan2').val();
		var oditur = $('#oditur').val();
		var tgl_penetapan = $('#tgl_penetapan').val();
		var ditetapkanoleh1 = $('#ditetapkanoleh1').val();
		var ditetapkanoleh2 = $('#ditetapkanoleh2').val();
		if(jenisTemplate=='1' && pertimbangan1=='-1'){
			message_error_show('Silahkan Pilih Pertimbangan Pengembalian Berkas Perkara');
			e.preventDefault();
		}
		else if(jenisTemplate=='2' && pertimbangan2=='-1'){
			message_error_show('Silahkan Pilih Pertimbangan Pengembalian Berkas Perkara (TKP Diluar Kewenangan)');
			e.preventDefault();
		}
		else if((jenisTemplate=='4' || jenisTemplate=='5') && oditur=='-1'){
			message_error_show('Silahkan Pilih Oditur');
			e.preventDefault();
		}
		else if(tgl_penetapan==''){
			message_error_show('Silahkan Isi Tanggal Penetapan');
			e.preventDefault();
		}
		else if((jenisTemplate=='1' || jenisTemplate=='2' || jenisTemplate=='3' || jenisTemplate=='6') && ditetapkanoleh1=='-1'){
			message_error_show('Silahkan Pilih Ditetapkan Oleh');
			e.preventDefault();
		}
		else if((jenisTemplate=='4' || jenisTemplate=='5') && ditetapkanoleh2=='-1'){
			message_error_show('Silahkan Pilih Pejabat Penandatangan');
			e.preventDefault();
		}
	}
});
$('#kembali').closingFormWin();
$('#tgl_penetapan').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay:$.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
            	var error = 0;
				
				var tmp = $(this).val().split("/");
				var tmp2 = $('#curr_date').val().split("/");

				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
					error = 1
				}
				if(error==1){
					message_error_show(message);
					$(this).css("background-color", "red");
				}else{
					$(this).css("background-color", "#dedbdb");
				}
				error = 0;
        	}
      	});
$('.datepicker').ValidateDateInput();
</script>   